| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
ExtArgBool Class Reference

Extcap argument representing a boolean toggle (checkbox). More...

`#include <extcap_argument.h>`

Inheritance diagram for ExtArgBool:

## Public Slots
virtual void | setDefaultValue () override
| Sets the checkbox to its default state.
Public Slots inherited from ExtcapArgument
virtual void | setDefaultValue ()
| Slot to set the argument to its default value.
void | onBoolChanged (bool val)
| Slot to handle boolean value changes.
void | onIntChanged (int val)
| Slot to handle integer value changes.
void | onStringChanged (QString val)
| Slot to handle string value changes.

## Public Member Functions
| ExtArgBool (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| Constructs an ExtArgBool.
virtual QWidget * | createLabel (QWidget *parent) override
| Creates the label widget for the boolean argument.
virtual QWidget * | createEditor (QWidget *parent) override
| Creates the checkbox editor widget.
virtual QString | call () override
| Retrieves the call string based on the boolean state.
virtual QString | value () override
| Retrieves the boolean state as a string.
virtual bool | isValid () override
| Checks if the boolean state is valid.
virtual QString | defaultValue () override
| Retrieves the default boolean value as a string.
virtual QString | prefValue () override
| Retrieves the preference value for the boolean argument.
virtual bool | isSetDefaultValueSupported () override
| Checks if setting a default boolean value is supported.
Public Member Functions inherited from ExtcapArgument
| ExtcapArgument (QObject *parent=Q_NULLPTR)
| Constructs an empty ExtcapArgument.
| ExtcapArgument (extcap_arg *argument, QObject *parent=Q_NULLPTR)
| Constructs an ExtcapArgument from a core extcap_arg structure.
| ExtcapArgument (const ExtcapArgument &obj)
| Copy constructor for ExtcapArgument.
virtual | ~ExtcapArgument ()
| Destroys the ExtcapArgument.
virtual extcap_arg * | argument ()
| Retrieves the underlying extcap_arg structure.
bool | isDefault ()
| Checks if the argument currently holds its default value.
bool | isRequired ()
| Checks if the argument is required.
bool | isSufficient ()
| Checks if the argument provides sufficient information on its own.
bool | reload ()
| Reloads the argument data.
QString | prefKey (const QString &device_name, const QString &option_name, const QString &option_value)
| Generates a preference key for this argument.
void | resetValue ()
| Resets the argument to its initial value.
virtual QString | group () const
| Retrieves the group name this argument belongs to.
virtual int | argNr () const
| Retrieves the argument number.

## Additional Inherited Members
Signals inherited from ExtcapArgument
void | valueChanged ()
| Signal emitted when the argument's value changes.
Static Public Member Functions inherited from ExtcapArgument
static ExtcapArgument * | create (extcap_arg *argument=Q_NULLPTR, QObject *parent=Q_NULLPTR)
| Factory method to create an appropriate ExtcapArgument subclass.
Protected Member Functions inherited from ExtcapArgument
bool | fileExists ()
| Checks if a file path specified by the argument exists.
ExtcapValueList | loadValues (QString parent)
| Loads the available values for this argument.
bool | reloadValues ()
| Reloads the values list.
Protected Attributes inherited from ExtcapArgument
ExtcapValueList | values
extcap_arg * | _argument
QLabel * | _label
int | _number

## Detailed Description

Extcap argument representing a boolean toggle (checkbox).

## Constructor & Destructor Documentation

## ◆ ExtArgBool()

ExtArgBool::ExtArgBool | ( | extcap_arg * | argument,
|  | QObject * | parent = Q_NULLPTR )

Constructs an ExtArgBool.

Parameters

  argument | Pointer to the core extcap_arg.
  parent | The parent QObject.

## Member Function Documentation

## ◆ call()

QString ExtArgBool::call | ( |  | ) |
| override virtual

Retrieves the call string based on the boolean state.

Returns
  The call string.

Reimplemented from ExtcapArgument.

## ◆ createEditor()

QWidget * ExtArgBool::createEditor | ( | QWidget * | parent | ) |
| override virtual

Creates the checkbox editor widget.

Parameters

  parent | The parent widget for the editor.

Returns
  A pointer to the created checkbox widget.

Reimplemented from ExtcapArgument.

## ◆ createLabel()

QWidget * ExtArgBool::createLabel | ( | QWidget * | parent | ) |
| override virtual

Creates the label widget for the boolean argument.

Parameters

  parent | The parent widget.

Returns
  A pointer to the created label widget.

Reimplemented from ExtcapArgument.

## ◆ defaultValue()

QString ExtArgBool::defaultValue | ( |  | ) |
| override virtual

Retrieves the default boolean value as a string.

Returns
  The default boolean string representation.

Reimplemented from ExtcapArgument.

## ◆ isSetDefaultValueSupported()

bool ExtArgBool::isSetDefaultValueSupported | ( |  | ) |
| override virtual

Checks if setting a default boolean value is supported.

Returns
  True if supported, false otherwise.

Reimplemented from ExtcapArgument.

## ◆ isValid()

bool ExtArgBool::isValid | ( |  | ) |
| override virtual

Checks if the boolean state is valid.

Returns
  True if valid, false otherwise.

Reimplemented from ExtcapArgument.

## ◆ prefValue()

QString ExtArgBool::prefValue | ( |  | ) |
| override virtual

Retrieves the preference value for the boolean argument.

Returns
  The preference value string.

Reimplemented from ExtcapArgument.

## ◆ value()

QString ExtArgBool::value | ( |  | ) |
| override virtual

Retrieves the boolean state as a string.

Returns
  "true" or "false" string representation.

Reimplemented from ExtcapArgument.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/extcap_argument.h
- /builds/wireshark/wireshark/ui/qt/extcap_argument.cpp